# Uses of Class
com.google.protobuf.Descriptors.ServiceDescriptor

Packages that use Descriptors.ServiceDescriptor
Package
Description
com.google.protobuf

## Uses of Descriptors.ServiceDescriptor in com.google.protobuf

Methods in com.google.protobuf that return Descriptors.ServiceDescriptor
Modifier and Type
Method
Description
`Descriptors.ServiceDescriptor`
Descriptors.FileDescriptor.`findServiceByName(String name)`
Find a service type in the file by name.
`Descriptors.ServiceDescriptor`
BlockingService.`getDescriptorForType()`
Equivalent to `Service.getDescriptorForType()`.
`Descriptors.ServiceDescriptor`
Service.`getDescriptorForType()`
Get the `ServiceDescriptor` describing this service and its methods.
`Descriptors.ServiceDescriptor`
Descriptors.MethodDescriptor.`getService()`
Get the method's service type.
Methods in com.google.protobuf that return types with arguments of type Descriptors.ServiceDescriptor
Modifier and Type
Method
Description
`List<Descriptors.ServiceDescriptor>`
Descriptors.FileDescriptor.`getServices()`
Get a list of top-level services declared in this file.